Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A1200/A600 4xIDE Interface

AuthorTopic: glib and gtk problem (linux)  (Read 2068 times)

0 Members and 1 Guest are viewing this topic.

Offline levelLORD

glib and gtk problem (linux)
« on: November 03, 2003, 06:12:32 PM »
Hello there!

Is there anyone here who did have problems with gtk+ 2.2.4 and glib 2.2.3? Compiling and installation of these files went fine (./configure, make, make install), but after that whenever I want to compile something new, ./configure starts crying about missing glib 2.x and pointing that I do have glib 1.x, but it requires 2.x. I linked everything through ld.so.conf, pkg-config --list-all is reading gtk+-2.0 and glib-2.0, everything looks normal, ldconfig -v is also showing glib 2.x and gtk 2.0, but like I said, I can't install nothing. Does anyone had a similar problem? I'm running Linux Red Hat 9 on x86 platform. I'll appreciate any help or advise about this, since I have no idea anymore how to deal with this problem. Thank you.

Best regards,

levelLORD
 

Offline levelLORD

Re: glib and gtk problem (linux)
« Reply #1 on: November 04, 2003, 09:24:54 PM »
Well, it's hard to believe that no one knows an answer to my problem... Not even one suggestion?

Regards,

levelLORD
 

Offline Speelgoedmannetje

Re: glib and gtk problem (linux)
« Reply #2 on: November 04, 2003, 11:15:07 PM »
We sincerely do not (want to) know where you are talking about

Prosit! :pint:
And the canary said: \'chirp\'
 

Offline NoFastMem

Re: glib and gtk problem (linux)
« Reply #3 on: November 04, 2003, 11:17:06 PM »
That is sooo mean. It just makes me want to cry! :cry:
AKA that_punk_guy
 

Offline Speelgoedmannetje

Re: glib and gtk problem (linux)
« Reply #4 on: November 04, 2003, 11:19:31 PM »
Cmon! I like amiga because I do not have to fuss around with it and now here on the forum some fancy pants gonna ask us about linux thingies
And the canary said: \'chirp\'
 

Offline that_punk_guy

Re: glib and gtk problem (linux)
« Reply #5 on: November 04, 2003, 11:21:04 PM »
I've seen this kinda thing in Linux, and tbh I didn't have the patience to go through fixing it, I was just experimenting with  Linux to see what the fuss was about... and, IMO aside from the admirable GNU culture, not much.

I can only suggest trying the Linux forums. Try and pick one where they're not so mean about newbies first though.

@NoFastMem

Don't be sad... :-(
 

Offline NoFastMem

Re: glib and gtk problem (linux)
« Reply #6 on: November 04, 2003, 11:22:47 PM »
Quote

Speelgoedmannetje wrote:
Cmon! I like amiga because I do not have to fuss around with it and now here on the forum some fancy pants gonna ask us about linux thingies


You are making me feel sad. I cannot express the pain in my fevered brain as I reach for another Kleenex and attempt to choke back the bitter tears...
AKA that_punk_guy
 

Offline Speelgoedmannetje

Re: glib and gtk problem (linux)
« Reply #7 on: November 04, 2003, 11:34:27 PM »
Quote

NoFastMem wrote:
Quote

Speelgoedmannetje wrote:
Cmon! I like amiga because I do not have to fuss around with it and now here on the forum some fancy pants gonna ask us about linux thingies


You are making me feel sad. I cannot express the pain in my fevered brain as I reach for another Kleenex and attempt to choke back the bitter tears...


Why? do you like Linux then? Fussing around with directories with names like asgijser4ts_43q5? And having "toys", in the main menu?
And the canary said: \'chirp\'
 

Offline NoFastMem

Re: glib and gtk problem (linux)
« Reply #8 on: November 04, 2003, 11:39:20 PM »
No. But I don't think you should be mean about it :-(

It's like driving in your car, missing the stop sign and falling in love... just to get knocked down. It's the thought that keeps us alive, and makes us want to try. Empathy is next to godliness. Not that I am religious. I feel betrayed by the lies I was told as a child. Heaven doesn't exist... when we die, we are gone, forever consumed by the night.

It just makes me feel so sad. :cry:
AKA that_punk_guy
 

Offline Speelgoedmannetje

Re: glib and gtk problem (linux)
« Reply #9 on: November 04, 2003, 11:43:09 PM »
I do not fall in love and I do not believe in any religion whatsoever so whats your point?

btw, have a tissue from a real tissueclub member poor sod!
And the canary said: \'chirp\'
 

Offline bhoggett

Re: glib and gtk problem (linux)
« Reply #10 on: November 04, 2003, 11:57:20 PM »
@Speelgoedmannetje wrote:

Quote
Cmon! I like amiga because I do not have to fuss around with it and now here on the forum some fancy pants gonna ask us about linux thingies

You did bother to read which forum you're posting to, right?

It's not often you see posts on Amiga.org being flamed for being on-topic.
 :-?
Bill Hoggett
 

Offline Speelgoedmannetje

Re: glib and gtk problem (linux)
« Reply #11 on: November 05, 2003, 12:03:27 AM »
All right all right my sincere apologies I was a bit too reactive reading glibthisthat
And the canary said: \'chirp\'
 

Offline Tomas

Re: glib and gtk problem (linux)
« Reply #12 on: November 05, 2003, 12:11:43 AM »
Quote
Cmon! I like amiga because I do not have to fuss around with it and now here on the forum some fancy pants gonna ask us about linux thingies

Well linux is all you can run on the AmigaONE atm.. This board also allows alternative OS discussions..

If you wont help/cant then just ignore/say you cannot help him, rather than bashing the person who do use it.
 

Offline Tomas

Re: glib and gtk problem (linux)
« Reply #13 on: November 05, 2003, 12:13:15 AM »
Quote
Why? do you like Linux then? Fussing around with directories with names like asgijser4ts_43q5? And having "toys", in the main menu?

eh?? you sure cannot have tried it out....
 

Offline Tomas

Re: glib and gtk problem (linux)
« Reply #14 on: November 05, 2003, 12:14:39 AM »
Quote

levelLORD wrote:
Hello there!

Is there anyone here who did have problems with gtk+ 2.2.4 and glib 2.2.3? Compiling and installation of these files went fine (./configure, make, make install), but after that whenever I want to compile something new, ./configure starts crying about missing glib 2.x and pointing that I do have glib 1.x, but it requires 2.x. I linked everything through ld.so.conf, pkg-config --list-all is reading gtk+-2.0 and glib-2.0, everything looks normal, ldconfig -v is also showing glib 2.x and gtk 2.0, but like I said, I can't install nothing. Does anyone had a similar problem? I'm running Linux Red Hat 9 on x86 platform. I'll appreciate any help or advise about this, since I have no idea anymore how to deal with this problem. Thank you.

Best regards,

levelLORD

I had a similar problem with mandrake once, sadly do not recall how i was able to solve it... I am pretty new to linux myself.